KTextEditor::Editor Class Reference

`#include <editor.h>`

Inheritance diagram for KTextEditor::Editor:

## Public Member Functions

| Editor (QObject *parent=0, const char *name=0)
unsigned int | editorNumber () const

## Friends

class | PrivateEditor

## Detailed Description

This is a simplfied version of the Document & View classes Usage: Load it, merge it's gui + be happy Extensibility: Use the Document / View classes if you want advanced features, interfaces, etc.

This class is just a good text editor widget replacement for applications which just need an embedded text edtor and are not interested in using advanced interfaces.

Definition at line 39 of file editor.h.

## Constructor & Destructor Documentation

Editor::Editor | ( | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Create a new editor widget.

Definition at line 194 of file ktexteditor.cpp.

The documentation for this class was generated from the following files:

- editor.h
- ktexteditor.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys